Name:          awf-extended
Version:       3.0.0
Release:       %mkrel 1
Summary:       Theme preview application for GTK
Summary(fr):   Application d'aperçu de thème pour GTK
License:       GPLv3+
Group:         Development/Basic
URL:           https://github.com/luigifab/awf-extended
Source0:       %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: gcc
BuildRequires: gettext
BuildRequires: pkgconfig(libnotify)

BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(gtk4)

Requires:      hicolor-icon-theme

%description %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.}

%package gtk2
Summary:       Theme preview application for GTK2
Summary(fr):   Application d'aperçu de thème pour GTK2

%description gtk2 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 2 version.}

%description gtk2 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 2.}

%package gtk3
Summary:       Theme preview application for GTK3
Summary(fr):   Application d'aperçu de thème pour GTK3

%description gtk3 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 3 version.}

%description gtk3 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 3.}

%package gtk4
Summary:       Theme preview application for GTK4
Summary(fr):   Application d'aperçu de thème pour GTK4

%description gtk4 %{expand:
A widget factory is a theme preview application for GTK. It displays the
various widget types provided by GTK in a single window allowing to see
the visual effect of the applied theme.

This package provides the GTK 4 version.}

%description gtk4 -l fr %{expand:
La fabrique à widgets est une application d'aperçu de thème pour GTK. Elle
affiche les différents types de widgets fournis par GTK dans une seule
fenêtre permettant de voir l'effet visuel du thème appliqué.

Ce paquet fournit la version GTK 4.}

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install
install -dm0755 %{buildroot}%{_datadir}/applications/

for file in data/*.desktop ; do
 desktop-file-install --dir=%{buildroot}%{_datadir}/applications/ $file 
done

install -dm0755 %{buildroot}%{_datadir}/icons/hicolor/
for file in data/icons/*/*/awf.png; do 
 cp $file ${file/\/awf.png/\/awf-gtk2.png}; 
 cp $file ${file/\/awf.png/\/awf-gtk3.png}; 
 cp $file ${file/\/awf.png/\/awf-gtk4.png}; 
 rm $file
done
for file in data/icons/*/*/awf.svg; do 
 cp $file ${file/\/awf.svg/\/awf-gtk2.svg}; 
 cp $file ${file/\/awf.svg/\/awf-gtk3.svg};
 cp $file ${file/\/awf.svg/\/awf-gtk4.svg};
 rm $file
done
cp -a data/icons/* %{buildroot}%{_datadir}/icons/hicolor/

install -dm0755 %{buildroot}%{_mandir}/man1/
for file in data/*.1 ; do
	install -m0644 $file %{buildroot}%{_mandir}/man1/
done
for file in src/po/*.po; do
  code=$(basename "$file" .po)
  install -dm0755 %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/
  msgfmt src/po/$code.po -o %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/awf-gtk2.mo
  msgfmt src/po/$code.po -o %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/awf-gtk3.mo
  msgfmt src/po/$code.po -o %{buildroot}%{_datadir}/locale/$code/LC_MESSAGES/awf-gtk4.mo
done
%find_lang awf-gtk2 --with-man
%find_lang awf-gtk3 --with-man
%find_lang awf-gtk4 --with-man

%files -n %{name}-gtk2 -f awf-gtk2.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk2
%{_datadir}/applications/awf-gtk2.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk2.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk2.svg
%{_mandir}/man1/awf-gtk2.*

%files -n %{name}-gtk3 -f awf-gtk3.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk3
%{_datadir}/applications/awf-gtk3.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk3.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk3.svg
%{_mandir}/man1/awf-gtk3.*

%files -n %{name}-gtk4 -f awf-gtk4.lang
%license LICENSE
%doc README.md
%{_bindir}/awf-gtk4
%{_datadir}/applications/awf-gtk4.desktop
%{_datadir}/icons/hicolor/*/apps/awf-gtk4.png
%{_datadir}/icons/hicolor/scalable/apps/awf-gtk4.svg
%{_mandir}/man1/awf-gtk4.*


%changelog
* Tue May 06 2025 katnatek <katnatek> 3.0.0-1.mga10
+ Revision: 2181338
- Update to version 3.0.0

* Sat Apr 05 2025 daviddavid <daviddavid> 2.9.0-1.mga10
+ Revision: 2173677
- new version: 2.9.0

* Sat Mar 08 2025 katnatek <katnatek> 2.8.1-1.mga10
+ Revision: 2162075
- Remove French text
- imported package awf-extended

